#!/usr/bin/gnuplot

N = 14354.
M = 9
nu = N-M

chi2 = N
chi2_1sigma = 14425.
chi2_3sigma = 14820.

print "chi2 = ", chi2
print "nu = ", nu
print "chi2_1sigma = ", chi2_1sigma
print "chi2_3sigma = ", chi2_3sigma
print "chi2_1sigma/chi2 = ", chi2_1sigma/chi2
print "chi2_3sigma/chi2 = ", chi2_3sigma/chi2

chi2_ = 53284.
chi2_1sigma_ = chi2_ * chi2_1sigma/chi2
chi2_3sigma_ = chi2_ * chi2_3sigma/chi2

print "chi2' = ", chi2_
print "chi2_1sigma' = ", chi2_1sigma_
print "chi2_3sigma' = ", chi2_3sigma_

########################################################################

set term x11

set xl "chi^2"
set yl "probq"

set logscale y
set yr [:]
set key bottom left

p sprintf("<./chi2 %.f 14000 15000 10", nu) u 2:3 t sprintf("probq for nu = %.f", nu) w lp,\
  0.5 w l lt 7,\
  1-0.683 w l lt 0,\
  1-0.9545 w l lt 0,\
  1-0.9973 w l lt 0,\
  "vline.dat" u ($1*nu):2 not w l lt 0,\
  "vline.dat" u ($1*chi2_1sigma):2 not w l lt 7,\
  "vline.dat" u ($1*chi2_3sigma):2 not w l lt 7
pa -1



