#!/usr/bin/env python

import sys
import re
import subprocess

alam1 = 3000.0
alamn = 8000.0
alams = 5000.0

f = open("final.in", "r")
s = f.readlines()
f.close()

f = open("burnasev.phase", "r")
phases = []
for line in f.readlines():
  if not re.match("^#.*", line) and len(line) > 1:
      l = line.split()
      phases.append(float(l[2]))
f.close()
print "phases = ", phases

for phase in phases:
    print "phase = ", phase
    f = open("phases", "w")
    f.write("%.4f\n" % (phase+0.5))  # Note the phase shift! (In shellspec, phase = 0.0 means eclipse of the compact hidden object.)
    f.close()

    alam = alam1
    while alam < alamn:
        print "alam = ", alam

        f = open("shellspec.in", "w")
        f.write("""# alam1[A]  alamn[A]  alams[A]  loglam  cutoff[A]
  %.8e    %.8e       5.0       1     50.
""" % (alam, alam+alams))
        for line in s[2:]:
           f.write(line)
        f.close()

        subprocess.check_output("./shellspec", shell=True);
        subprocess.check_output("mv shellspectrum shellspectrum_%.4f" % (phase), shell=True);
        subprocess.check_output("mv fort.21 fort.21_%.4f" % (phase), shell=True);

        alam += alams
 

