#!/usr/bin/gnuplot

set term x11

set xl "lambda [Ang]"
set yl "F_lambda [erg s^-1 cm^-2 cm^-1]"
set cbl "phase []"

set yr [0:]
set palette rgbformulae 7,5,15
set colorbox
set cbr [0:1]

ps=1
lw=2

p \
  "shellspectrum_0.0270" u 1:4 w l lc palette cb 0.0270 lw lw,\
  "shellspectrum_0.0652" u 1:4 w l lc palette cb 0.0652 lw lw,\
  "shellspectrum_0.1028" u 1:4 w l lc palette cb 0.1028 lw lw,\
  "shellspectrum_0.2127" u 1:4 w l lc palette cb 0.2127 lw lw,\
  "shellspectrum_0.2982" u 1:4 w l lc palette cb 0.2982 lw lw,\
  "shellspectrum_0.3331" u 1:4 w l lc palette cb 0.3331 lw lw,\
  "shellspectrum_0.4895" u 1:4 w l lc palette cb 0.4895 lw lw,\
  "shellspectrum_0.7978" u 1:4 w l lc palette cb 0.7978 lw lw,\
  "shellspectrum_0.8680" u 1:4 w l lc palette cb 0.8680 lw lw,\
  "shellspectrum_0.9488" u 1:4 w l lc palette cb 0.9488 lw lw,\
  "shellspectrum_0.9883" u 1:4 w l lc palette cb 0.9883 lw lw,\
  "../../data_20170920/burnasev.dat" u 1:(10.**(-$2))  not w l lc palette cb 0.0270 ps ps,\
  "../../data_20170920/burnasev.dat" u 1:(10.**(-$3))  not w l lc palette cb 0.0652 ps ps,\
  "../../data_20170920/burnasev.dat" u 1:(10.**(-$4))  not w l lc palette cb 0.1028 ps ps,\
  "../../data_20170920/burnasev.dat" u 1:(10.**(-$5))  not w l lc palette cb 0.2127 ps ps,\
  "../../data_20170920/burnasev.dat" u 1:(10.**(-$6))  not w l lc palette cb 0.2982 ps ps,\
  "../../data_20170920/burnasev.dat" u 1:(10.**(-$7))  not w l lc palette cb 0.3331 ps ps,\
  "../../data_20170920/burnasev.dat" u 1:(10.**(-$8))  not w l lc palette cb 0.4895 ps ps,\
  "../../data_20170920/burnasev.dat" u 1:(10.**(-$9))  not w l lc palette cb 0.7978 ps ps,\
  "../../data_20170920/burnasev.dat" u 1:(10.**(-$10)) not w l lc palette cb 0.8680 ps ps,\
  "../../data_20170920/burnasev.dat" u 1:(10.**(-$11)) not w l lc palette cb 0.9488 ps ps,\
  "../../data_20170920/burnasev.dat" u 1:(10.**(-$12)) not w l lc palette cb 0.9883 ps ps,\

pa -1

set term png small
set out "shellspectrum_BURNASEV.png"
rep


