#!/usr/bin/gnuplot

set term x11

set xl "lambda [Ang]"
set yl "F_lambda [erg s^-1 cm^-2 cm^-1]"
set cbl "phase []"

set yr [0:]
set palette rgbformulae 7,5,15
set colorbox
set cbr [0:1]

ps=1
lw=3

p \
  "shellspectrum_0.0270" u 1:4 w l lc palette cb 0.0270 lw lw,\
  "shellspectrum_0.0652" u 1:4 w l lc palette cb 0.0652 lw lw,\
  "shellspectrum_0.1028" u 1:4 w l lc palette cb 0.1028 lw lw,\
  "shellspectrum_0.2127" u 1:4 w l lc palette cb 0.2127 lw lw,\
  "../../data_20170920/burnasev.dat" u 1:(10.**(-$2))  not w l lc palette cb 0.0270 ps ps,\
  "../../data_20170920/burnasev.dat" u 1:(10.**(-$3))  not w l lc palette cb 0.0652 ps ps,\
  "../../data_20170920/burnasev.dat" u 1:(10.**(-$4))  not w l lc palette cb 0.1028 ps ps,\
  "../../data_20170920/burnasev.dat" u 1:(10.**(-$5))  not w l lc palette cb 0.2127 ps ps,\

pa -1

set term png small size 1024,768
set out "shellspectrum_BURNASEV1.png"
rep


