#!/usr/bin/gnuplot

chi2 = 103233.

factor_1sigma = 1.00370112499542
factor_3sigma = 1.02363589724798

chi2_1sigma = factor_1sigma*chi2
chi2_3sigma = factor_3sigma*chi2

set term x11

set yl "chi^2"

set yr [:chi2_3sigma]
y1=chi2-200
y2=chi2*(1+2*(factor_3sigma-1))
set yr [y1:y2]

set arrow from graph 0,first chi2 to graph 1,first chi2 nohead lt 7
set arrow from graph 0,first chi2_1sigma to graph 1,first chi2_1sigma nohead lt 0
set arrow from graph 0,first chi2_3sigma to graph 1,first chi2_3sigma nohead lt 0

set style line 1 lt 1
set style line 2 lt 2
pa=-1
set xl "routnb"  ; p "<./sigma.awk routnb   uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u  2:23 ls 1; pa pa
set xl "hinvnb"  ; p "<./sigma.awk hinvnb   uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u  3:23 ls 1; pa pa
set xl "tinvnb"  ; p "<./sigma.awk tinvnb   uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u  4:23 ls 1; pa pa
set xl "hwindnb" ; p "<./sigma.awk hwindnb  uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u  5:23 ls 1; pa pa
set xl "tempnb"  ; p "<./sigma.awk tempnb   uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u  6:23 ls 1; pa pa
set xl "densnb"  ; p "<./sigma.awk densnb   uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u  7:23 ls 1; pa pa
set xl "edennb"  ; p "<./sigma.awk edennb   uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u  8:23 ls 1; pa pa
set xl "etmpnb"  ; p "<./sigma.awk etmpnb   uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u  9:23 ls 1; pa pa
set xl "hmulnb"  ; p "<./sigma.awk hmulnb   uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u 10:23 ls 1; pa pa
set xl "dinc"    ; p "<./sigma.awk dinc     uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u 11:23 ls 1; pa pa
set xl "omega_an"; p "<./sigma.awk omega_an uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u 12:23 ls 1; pa pa
set xl "dd"      ; p "<./sigma.awk dd       uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u 13:23 ls 1; pa pa


