#!/usr/bin/env python

import math
import re
import sys
import subprocess

subprocess.check_output("cat fit.log_* > fit.logs", shell=True)

chi2 = 103233.

factor_1sigma = 1.00370112499542
factor_3sigma = 1.02363589724798

chi2_1sigma = factor_1sigma*chi2
chi2_3sigma = factor_3sigma*chi2

chi2_limit = chi2_3sigma

print "chi2_limit = ", chi2_limit

data = []

f = open("fit.logs", "r")
for line in f.readlines():
    if re.match(".*Niter.*", line):
        s = line.split()
    else:
        l = line.split()
        chi2 = float(l[-6])
#        print chi2
        l = map(lambda x: float(x), l)
        if chi2 < chi2_limit:
            data.append(l)
f.close()

def best_sigma(data, best):
    n = len(data)
    s = 0.0
    for i in xrange(0,len(data)):
        s += (data[i]-best)**2
    sigma = math.sqrt(s/(n-1))
    return best, sigma

f = open("uncertainties2.out", "w")

bestidx = 0
bestchi2 = 1.e38
for i in xrange(1,len(data)):
    chi2 = data[i][-6]
    if chi2 < bestchi2:
        bestchi2 = chi2
        bestidx = i

for j in xrange(0,len(data[0])):
    col = [row[j] for row in data]
    best, sigma = best_sigma(col, col[bestidx])
    f.write("%s = %.5g +- %.5g\n" % (s[j], best, sigma))

f.close()


